﻿using FarPoint.Win.Spread.CellType;
using System;
using System.Collections.Generic;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CheckboxHeaderFilter
{
    public class CheckBoxHeaderFilter : CheckBoxCellType
    {
        public override void PaintCell(System.Drawing.Graphics g, Rectangle r, FarPoint.Win.Spread.Appearance appearance, object value, bool isSelected, bool isLocked, float zoomFactor)
        {
            base.PaintCell(g, r, appearance, value, isSelected, isLocked, zoomFactor);

            int x = r.Right - 22;
            int y = r.Top + 4;

            Point[] funnelPoints = new Point[]
            {
                new Point(x+2, y),
                new Point(x+9, y+7),
                new Point(x+9, y+13),
                new Point(x+13, y+13),
                new Point(x+13, y+7),
                new Point(x+20, y),
            };

            // Draw the funnel using a GraphicsPath
            GraphicsPath funnelPath = new GraphicsPath();
            funnelPath.AddPolygon(funnelPoints);
            g.FillPath(Brushes.WhiteSmoke, funnelPath);
            g.DrawPath(Pens.Black, funnelPath);

        }
    }
}
